---
title: Document.onbeforescriptexecute
slug: Web/API/Document/onbeforescriptexecute
tags:
  - API
  - DOM
  - Non-standard
  - Property
  - Reference
  - element.onbeforescriptexecute
---
<div>{{ApiRef("DOM")}} {{non-standard_header }}</div>

<p>Fired when the code in a {{HTMLElement("script")}} element declared in an HTML document is about to start executing. Does not fire if the element is added dynamically, eg with appendChild().</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>document.onbeforescriptexecute = funcRef;</em>
</pre>

<p><em>funcRef</em> is a function reference, called when the event is fired. The event's <code>target</code> attribute is set to the script {{domxref("Element")}} that is about to be executed.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">function starting(e) {
  logMessage("Starting script with ID: " + e.target.id);
}

document.addEventListener("beforescriptexecute", starting, true);
</pre>

<p><a href="/samples/html/currentScript.html">View Live Examples</a></p>

<h2 id="Specifications">Specifications</h2>

<ul>
 <li><a href="http://www.whatwg.org/specs/web-apps/current-work/#the-script-element">HTML5</a></li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.onbeforescriptexecute")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Document.onafterscriptexecute")}}</li>
 <li>{{domxref("Document.currentScript")}}</li>
</ul>
